.dark-layout .form-control[type="file"]::-webkit-file-upload-button {
    background-color: #283046;
}
.dark-layout .form-control[type="file"]::file-selector-button {
    background-color: #283046;
}

.main-menu.menu-dark .navigation > li.active > a {
    background: linear-gradient(118deg, #02475d, #02475d) !important;
    color: #fff;
    font-weight: 400;
    border-radius: 4px;
}
.avatar.bg-light-primary {
    color: #02475d !important;
}

.btn-flat-primary {
    color: #02475d !important;
}
.main-menu .navbar-header .navbar-brand .brand-text {
    color: #f58d32 !important;
}
.btn-primary {
    border-color: #02475d !important;
    background-color: #02475d !important;
    color: #fff !important;
}

.page-item.active .page-link {
    background-color: #02475d;
}
.btn-primary:hover:not(.disabled):not(:disabled) {
    box-shadow: 0 8px 25px -8px #02475d;
}
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active {
    background-color: #02475d !important;
    border-color: #02475d !important;
}

.chat-application .sidebar-content .chat-user-list-wrapper li.active {
    background-image: linear-gradient(80deg, #02475d, #02475da1);
}
.bg-light-primary {
    background: rgb(65 103 240 / 9%) !important;
    color: #4368af !important;
}
.badge.badge-light-primary {
    background-color: rgba(115, 103, 240, 0.12);
    color: #02475d !important;
}

/* .input-group-text{
  border: none !important;
} */
a {
    /*  color: #02475d !important; */
    text-decoration: none;
}

.dark-layout .input-group .input-group-text {
    background-color: #272727 !important;
    color: #000 !important;
}

.footer {
    background: #283046 !important;
    color: #fff !important;
}
.footer a {
    color: #e0dede !important;
}

.footer p {
    margin: 6px 0px !important;
    color: #fff;
    font-size: 14px;
}
.menu_list1:hover {
    background: #02475d !important;
}
.menu_list1 {
    text-decoration: none;
    color: rgb(255, 255, 255) !important;
    background: #000;
}

.badge {
    border-radius: 0.358rem;
    color: #fff;
    display: inline !important;
    font-size: 85%;
    font-weight: 600;
    line-height: 1;
    padding: 0.3rem 0.5rem;
    text-align: center;
    vertical-align: baseline;
    white-space: nowrap;
}

.dark-layout .table .thead tr:nth-child(odd) td,
.dark-layout .table .thead tr:nth-child(odd) th,
.dark-layout .table tbody tr:nth-child(odd) td,
.dark-layout .table tbody tr:nth-child(odd) th {
    border-color: #3b4253;
    color: #e7e7e7;
}

.dark-layout .table-striped .thead tr:nth-child(odd) td,
.dark-layout .table-striped .thead tr:nth-child(odd) th,
.dark-layout .table-striped tbody tr:nth-child(odd) td,
.dark-layout .table-striped tbody tr:nth-child(odd) th {
    border-color: #3b4253;
    color: #e7e7e7;
}

.dark-layout .table .thead tr:nth-child(even) td,
.dark-layout .table .thead tr:nth-child(even) th,
.dark-layout .table tbody tr:nth-child(even) td,
.dark-layout .table tbody tr:nth-child(even) th {
    border-color: #3b4253;
    color: #ebebeb;
}

.dark-layout .table-striped .thead tr:nth-child(even) td,
.dark-layout .table-striped .thead tr:nth-child(even) th,
.dark-layout .table-striped tbody tr:nth-child(even) td,
.dark-layout .table-striped tbody tr:nth-child(even) th {
    border-color: #3b4253;
    color: #ebebeb;
}

.dark-layout .table-striped tbody tr:nth-child(odd) .text-body {
    color: #e7e7e7 !important;
}

.dark-layout .table-striped tbody tr:nth-child(even) .text-body {
    color: #e7e7e7 !important;
}

.dark-layout .table-striped tbody tr:hover {
    background-color: #ffffff !important; /* white background */
    color: #000000 !important; /* black text */
}

.dark-layout .table-striped tbody tr:hover td,
.dark-layout .table-striped tbody tr:hover th,
.dark-layout .table-striped tbody tr:hover .text-body {
    color: #000000 !important; /* ensure all text becomes black */
}

.dark-layout .workerhoursinfo:not(.text-dark):not(.text-primary) {
    border-color: #3b4253;
    color: #727273 !important;
}

.dark-layout .badge.badge-light-primary {
    background-color: rgb(145 140 201 / 12%);
    color: #8adbf5 !important;
}

.dark-layout .btn-flat-primary {
    color: #57c8f1 !important;
}

.dark-layout .modal-content {
    background-clip: padding-box;
    background-color: #283046 !important;
    border: 0 solid rgba(34, 41, 47, 0.2);
    border-radius: 0.357rem;
    display: flex;
    flex-direction: column;
    outline: 0;
    pointer-events: auto;
    position: relative;
    width: 100%;
}

.dark-layout .select2-container--default .select2-results__option--selected {
    background-color: #ddd;
    color: #333131;
}

.dark-layout .avatar.bg-light-primary {
    color: #0482ab !important;
}

.text-muted {
    --bs-text-opacity: 1;
    color: #8d8d8d !important;
}

table .waves-effect {
    padding: 5px;
}

table.dataTable td,
table.dataTable th {
    padding: 0.42rem 0.5rem;
    vertical-align: top;
}

/* For WebKit browsers (e.g., Chrome, Safari) */
.custom-scroll::-webkit-scrollbar {
    width: 12px; /* Change the width here */
    background-color: #f1f1f1; /* Change the background color here */
}

.custom-scroll::-webkit-scrollbar-thumb {
    background-color: #888; /* Change the thumb color here */
    border-radius: 10px; /* Optional: round corners */
}

.custom-scroll::-webkit-scrollbar-thumb:hover {
    background-color: #555; /* Change the thumb color on hover here */
}

/* For Firefox */
.custom-scroll {
    scrollbar-width: thin; /* "auto" or "thin" */
    scrollbar-color: #6c8ac2 #f1f1f1; /* thumb color, track color */
}

/* For Edge, IE and other browsers */
.custom-scroll {
    -ms-overflow-style: -ms-autohiding-scrollbar; /* Auto-hiding scrollbars */
}

/* For WebKit browsers (e.g., Chrome, Safari) */
.dataTables_scrollBody::-webkit-scrollbar {
    width: 15px; /* Change the width here */
    background-color: #f1f1f1; /* Change the background color here */
}

.dataTables_scrollBody::-webkit-scrollbar-thumb {
    background-color: #888; /* Change the thumb color here */
    border-radius: 10px; /* Optional: round corners */
}

.dataTables_scrollBody::-webkit-scrollbar-thumb:hover {
    background-color: #555; /* Change the thumb color on hover here */
}

/* For Firefox */
.dataTables_scrollBody {
    scrollbar-width: auto; /* "auto" or "thin" */
    scrollbar-color: #6c8ac2 #f1f1f1; /* thumb color, track color */
}

/* For Edge, IE and other browsers */
.dataTables_scrollBody {
    -ms-overflow-style: -ms-autohiding-scrollbar; /* Auto-hiding scrollbars */
}

.accordion-collapse {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
        rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
        rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

.btn.btn-icon {
    padding: 0.5rem 0.5rem 0.5rem 0.5rem;
}

.btn.btn-icon svg.me-25 {
    margin-right: 0rem !important;
}

.modal-body .table > :not(caption) > * > * {
    background-color: var(--bs-table-bg);
    border-bottom-width: 1px;
    box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
    padding: 0.32rem 0.7rem;
}

footer.footer {
    min-height: 2.35rem;
    padding: 0.3rem 0.5rem;
    transition: all 0.3s ease;
    position: fixed;
    bottom: 0;
    width: 100%;
}
.footer p {
    margin: 0px 0px !important;
    color: #fff;
    font-size: 12px;
    padding-top: 3px;
}

nav.float-md-end.site-navigation ul.nav {
    padding-top: 3px;
}

@media (max-width: 575px) {
    .container {
        max-width: 100%;
    }
}

.dark-layout .table {
    --bs-table-bg: transparent;
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: #6e6b7b;
    --bs-table-striped-bg: #3a3a42;
    --bs-table-active-color: #6e6b7b;
    --bs-table-active-bg: rgba(34, 41, 47, 0.1);
    --bs-table-hover-color: #6e6b7b;
    --bs-table-hover-bg: #f6f6f9;
    border-color: #ebe9f1;
    color: #6e6b7b;
    margin-bottom: 1rem;
    vertical-align: middle;
    width: 100%;
}

.login-header {
    background: #fff;
}
